Hi @prakash.muthu. Have you considered using a ModelGeneralNote for that situation. The text in one of those will stay where you specify, based on your model area's view frame, instead of a position in model space. It simply allows you to specify which quadrant of the screen you want the text to be shown in. Below are some links to the online help pages for the associated API objects, and their methods.
ModelAnnotations
ModelGeneralNotes
ModelGeneralNotes.CreateDefinition Method
ModelGeneralNotes.Add Method
And here is a simple example that can be used on either a part or assembly:
Dim oMAs As ModelAnnotations = ThisDoc.Document.ComponentDefinition.ModelAnnotations
Dim oMGNs As ModelGeneralNotes = oMAs.ModelGeneralNotes
Dim sFText As String = "My Stationary Text Here"
Dim oMGNDef As ModelGeneralNoteDefinition
oMGNDef = oMGNs.CreateDefinition(sFText, True, ScreenQuadrantEnum.kUpperLeftQuadrant)
Dim oMGN As ModelGeneralNote = oMGNs.Add(oMGNDef)
oMGN.Name = "My Stationary Text Note 1"
oMGN.Visible = True
If this solved your problem, or answered your question, please click ACCEPT SOLUTION .
Or, if this helped you, please click (LIKE or KUDOS) 👍.
Wesley Crihfield

(Not an Autodesk Employee)